local tinsert, tremove = table.insert, table.remove

function RLNote:AddNote(title)
  if not title or title == "" then
    title = "Unnamed"
  end

  tinsert(self.data.notes, {title = title, note = {}})

  self:UpdateNoteList()
  --list select new one
  --noteframe edit mode

end

function RLNote:DelNote(noteidx)
  if not noteidx or type(noteidx) ~= "number" then return end
  tremove(self.data.notes, noteidx)

  self:UpdateNoteList()
end
